@charset "UTF-8";

* {
	padding: 0px;
	margin: 0px;
	box-sizing: border-box;
}


body {
	font-family: Arial, sans-serif;
}

.hero {
	background: linear-gradient(rgba(0, 0, 0, .6), rgba(0, 0, 0, .6)),
		url("../images/truck2.webp") center/cover no-repeat;
	height: 90vh;
	color: white;
}


.about {
	background: linear-gradient(rgba(0, 0, 0, .6), rgba(0, 0, 0, .6)),
		url("../images/aboutbg.webp") center/cover no-repeat;
	min-height: 100vh;
}



.service-box {
	transition: 0.3s;
}

.service-box:hover {
	transform: translateY(-8px);
	box-shadow: 0 10px 25px rgba(0, 0, 0, .2);
	background-color: #eef5ff !important;
	color: black;
}

.card {
	transition: 0.3s;
}

.card:hover {
	transform: translateY(-8px);
	box-shadow: 0 10px 25px rgba(0, 0, 0, .2);
	background-color: #eef5ff !important;
	color: black;
}

.topbar {
	background: #1a1a2e;
	color: white;
	padding: 6px;
	font-size: 14px;
	text-align: center;
}

.foter a{
    display: inline-block;
    font-size: 22px;
    transition: all 0.3s ease;
}

.foter a:hover{
    transform: translateY(-6px);
    color: #0d6efd; /* Bootstrap primary blue */
}




.navbar-nav .nav-link {
    position: relative;          /* REQUIRED */
    display: inline-block;       /* REQUIRED */
    padding-bottom: 6px;         /* space for underline */
}

.navbar-nav .nav-link::after {
     content: "";
    position: absolute;
    left: 0;
    bottom: 0;
    height: 3px;
    width: 0%;
    background-color: red;
    z-index: 100;
    transition: 0.3s linear;
}

.navbar-nav .nav-link:hover::after {
    width: 100%;   /* underline width under text */
}


/* Mobile font fix */
@media ( max-width : 576px) {
	#services h2 {
		font-size: 1.6rem;
	}
	.service-box p {
		font-size: 0.95rem;
	}
}
/* FORCE SINGLE COLUMN ON MOBILE */
@media ( max-width : 768px) {
	.services-row {
		display: block !important;
	}
	.services-row>div {
		width: 100% !important;
		max-width: 100% !important;
		flex: none !important;
		margin-bottom: 16px;
	}
}

@media ( max-width : 576px) {
	#about h2 {
		font-size: 1.6rem;
	}
	#about h4 {
		font-size: 1.2rem;
	}
	.service-box {
		padding: 1rem;
	}
}